Method: accounts.programs.ucpSettings.getUcpSettings

Retrieves the currently stored, validated UcpSettings for a Merchant Center account.

To check the status of an asynchronous validation operation initiated by ucpSettings.updateUcpSettings, use operations.get instead.

HTTP request

GET https://merchantapi.googleapis.com/accounts/v1alpha/{name=accounts/*/programs/*/ucpSettings}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The name of the UcpSettings resource to retrieve. Format: accounts/{account}/programs/{program}/ucpSettings. The only supported {program} value is ucp-integration (for example, accounts/123456/programs/ucp-integration/ucpSettings).

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of UcpSettings.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/content

For more information, see the OAuth 2.0 Overview.